## rust-rusty-pool 0.7.0

=== debian/changelog ===
rust-rusty-pool (0.7.0-9) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * stop mention dh-cargo in long description
  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve filename mangling
    + use Github API
    + drop unused repack suffix
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 19:08:25 +0100

rust-rusty-pool (0.7.0-8) unstable; urgency=medium

  * fix: set buildsystem=rust in overridden debhelper target

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 17:29:58 +0200

rust-rusty-pool (0.7.0-7) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * declare compliance with Debian Policy 4.7.0
  * relax to (build-/autopkgtest-)depend unversioned
    when version is satisfied in Debian stable
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 15:39:51 +0200

rust-rusty-pool (0.7.0-6) unstable; urgency=medium

  * update dh-cargo fork;
    closes: bug#1045817, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Aug 2023 10:08:51 +0200

rust-rusty-pool (0.7.0-5) unstable; urgency=medium

  * tighten autopkgtests
  * stop superfluously provide virtual unversioned feature packages
  * change binary library package to be arch-independent
  * declare compliance with Debian Policy 4.6.2
  * update dh-cargo fork;
    build-depend on libstring-shellquote-perl
  * update copyright info: update coverage
  * fix: stop recommend gone virtual package

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Feb 2023 20:33:45 +0100

rust-rusty-pool (0.7.0-4) unstable; urgency=medium

  * stop superfluously provide virtual packages
    for zero-versioned features
  * merge virtual feature package into main binary package
  * skip 2 tests on 32-bit archs (and always in autopkgtests),
    broken upstream (see bug#1022895)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Dec 2022 15:03:50 +0100

rust-rusty-pool (0.7.0-3) unstable; urgency=medium

  * fix set X-Cargo-Crate: rusty_pool;
    closes: bug#1022896, thanks to Adrian Bunk
  * temporarily set RUST_BACKTRACE=full
    to aid in debugging bug#1022895

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Oct 2022 15:45:58 +0200

rust-rusty-pool (0.7.0-2) unstable; urgency=medium

  * re-release for building with auto-builder

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Oct 2022 20:10:47 +0200

rust-rusty-pool (0.7.0-1) unstable; urgency=low

  * initial Release;
    closes: Bug#1022827

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Oct 2022 17:14:52 +0200
