=== debian/control ===
Source: rust-rusty-pool
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-crossbeam-channel-0.5+default-dev,
 librust-futures-0.3+default-dev,
 librust-futures-channel-0.3+default-dev,
 librust-futures-executor-0.3+default-dev,
 librust-num-cpus-1+default-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-rusty-pool.git
Vcs-Browser: https://salsa.debian.org/debian/rust-rusty-pool
Homepage: https://github.com/robinfriedli/rusty_pool
Rules-Requires-Root: no

Package: librust-rusty-pool-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-crossbeam-channel-0.5+default-dev,
 librust-futures-0.3+default-dev,
 librust-futures-channel-0.3+default-dev,
 librust-futures-executor-0.3+default-dev,
 librust-num-cpus-1+default-dev,
 ${misc:Depends},
Provides:
 librust-rusty-pool-0-dev (= ${binary:Version}),
 librust-rusty-pool-0.7+async-dev (= ${binary:Version}),
 librust-rusty-pool-0.7+default-dev (= ${binary:Version}),
 librust-rusty-pool-0.7-dev (= ${binary:Version}),
 librust-rusty-pool-0.7.0-dev (= ${binary:Version}),
Description: self growing / shrinking ThreadPool implementation - Rust source code
 Self growing / shrinking "ThreadPool" implementation
 based on crossbeam's multi-producer multi-consumer channels
 that enables awaiting the result of a task
 and offers async support.
 .
 This package contains the source for the Rust rusty_pool crate,
 for use with cargo.
