=== debian/tests/control ===
Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rusty_pool 0.7.0
 --all-targets --all-features
 --no-fail-fast -- --skip tests::test_try_increment_worker_total --skip tests::worker_count_test
Features: test-name=rust-rusty-pool-0.7:@
Depends:
 dh-rust,
 librust-rusty-pool-0.7-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rusty_pool 0.7.0
 --all-targets --no-default-features
 --no-fail-fast -- --skip tests::test_try_increment_worker_total --skip tests::worker_count_test
Features: test-name=rust-rusty-pool-0.7:
Depends:
 dh-rust,
 librust-rusty-pool-0.7-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rusty_pool 0.7.0
 --all-targets --no-default-features --features async
 --no-fail-fast -- --skip tests::test_try_increment_worker_total --skip tests::worker_count_test
Features: test-name=rust-rusty-pool-0.7:async
Depends:
 dh-rust,
 librust-rusty-pool-0.7+async-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rusty_pool 0.7.0
 --all-targets
 --no-fail-fast -- --skip tests::test_try_increment_worker_total --skip tests::worker_count_test
Features: test-name=rust-rusty-pool-0.7:default
Depends:
 dh-rust,
 librust-rusty-pool-0.7+default-dev,
Restrictions: allow-stderr
